/*
 * See the NOTICE file distributed with this work for information
 * regarding copyright ownership.  This file is licensed
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.tests.binding.harness;

import junit.framework.TestCase;
import org.osoa.sca.annotations.Reference;

/**
 * @version $Rev: 2428 $ $Date: 2008-01-04 12:08:39 -0800 (Fri, 04 Jan 2008) $
 */
public class EchoTest extends TestCase {

    private EchoService service;

    @Reference
    public void setService(EchoService service) {
        this.service = service;
    }

    public void testString() {
        assertEquals("Hello", service.echoString("Hello"));
    }

    public void testInt() {
        assertEquals(123, service.echoInt(123));
    }

    public void testFault() {
        try {
            service.echoFault();
            fail();
        } catch (EchoFault echoFault) {
            // OK
        }
    }
}
